# Interface UseDataSourceValue<Source, Target>

interface UseDataSourceValue<Source, Target> {
dataSource: IdOrInstanceOrToken<BaseDataSource<any, BaseDataSourceMetadata, BaseDataSourceViewer<any>>>;
lastValue?: Target;
settings?: UseDataSourceSettings<Source, Target>;
}

#### Type Parameters

- Source = any
- Target = Source

- Defined in packages/angular/form-system/src/lib/decorators/use-data-source.ts:10

#####
Index

### Properties

dataSource
lastValue?
settings?

## Properties

### dataSource

dataSource: IdOrInstanceOrToken<BaseDataSource<any, BaseDataSourceMetadata, BaseDataSourceViewer<any>>>

- Defined in packages/angular/form-system/src/lib/decorators/use-data-source.ts:11

### `Optional` lastValue

lastValue?: Target

The last value of the data source

- Defined in packages/angular/form-system/src/lib/decorators/use-data-source.ts:17

### `Optional` settings

settings?: UseDataSourceSettings<Source, Target>

- Defined in packages/angular/form-system/src/lib/decorators/use-data-source.ts:12